<i18n>
{
  "fr": {
  },
  "en": {
  }
}
</i18n>

<template>
  <b-notification
    v-if="scenario.variables.length > 0"
    :closable="false"
  >
    <div
      v-for="(variable,index) in scenario.variables"
      :key="index"
    >
      <p v-if="variable.removed.length > 0">
        Listes des items supprimés par la variable <strong>{{ variable.name }} :</strong>
        <ul style="list-style-type:square;margin-left:25px">
          <li
            v-for="(item,index2) in variable.removed"
            :key="index2"
          >
            {{ item.toString() }}
          </li>
        </ul>
      </p>
      <p v-if="variable.modified.length > 0">
        Listes des items modifiés par la variable <strong>{{ variable.name }} :</strong>
        <ul style="list-style-type:square;margin-left:25px">
          <li
            v-for="(item,index2) in variable.modified"
            :key="index2"
          >
            {{ item.toString() }}
          </li>
        </ul>
      </p>
    </div>
  </b-notification>
</template>

<script>
export default {
  name: 'Logging',
  props: {
    scenario: {
      type: Object,
      default: null
    }
  },
  data () {
    return {
    }
  },
  methods: {
  }
}
</script>
